<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useSortedTable](./react.usesortedtable.md)

## useSortedTable() function

<b>Signature:</b>

```typescript
export declare function useSortedTable(table: ColumnTable, column?: string, sort?: SortDirection): ColumnTable;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable |  |
|  column | string | <i>(Optional)</i> |
|  sort | SortDirection | <i>(Optional)</i> |

<b>Returns:</b>

ColumnTable

